A class collecting all useful datas from revit API for UI.
Ejemplo n.º 1
0
        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="datas">The object contains floors' datas.</param>
        public FoundationSlabForm(SlabData datas)
        {
            m_datas = datas;

            InitializeComponent();
            InitializeDataGridView(); // DataGridView initialization.
        }
Ejemplo n.º 2
0
        /// <summary>
        /// Constructor.
        /// </summary>
        /// <param name="datas">The object contains floors' datas.</param>
        public FoundationSlabForm(SlabData datas)
        {
            m_datas = datas;

            InitializeComponent();
            InitializeDataGridView(); // DataGridView initialization.
        }
Ejemplo n.º 3
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application
        /// which contains data related to the command,
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application
        /// which will be displayed if a failure or cancellation is returned by
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command.
        /// A result of Succeeded means that the API external method functioned as expected.
        /// Cancelled can be used to signify that the user cancelled the external operation
        /// at some point. Failure should be returned if the application is unable to proceed with
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData, ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            try
            {
                // Check commandData parameter.
                if (null == commandData)
                {
                    return(Autodesk.Revit.UI.Result.Failed);
                }

                SlabData revitDatas = null;
                try
                {
                    // The Datas for UI.
                    revitDatas = new SlabData(commandData.Application);
                }
                catch (NullReferenceException e)
                {
                    message = e.Message;
                    return(Autodesk.Revit.UI.Result.Cancelled);  // Data error.
                }
                // Display form.
                using (FoundationSlabForm displayForm = new FoundationSlabForm(revitDatas))
                {
                    if (displayForm.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                    {
                        return(Autodesk.Revit.UI.Result.Succeeded); // Create foundation slabs successfully.
                    }
                }
                return(Autodesk.Revit.UI.Result.Cancelled);  // Cancel creation.
            }
            catch (Exception e)
            {
                message = e.Message;
                return(Autodesk.Revit.UI.Result.Failed); // Unknow error.
            }
        }
Ejemplo n.º 4
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application 
        /// which contains data related to the command, 
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application 
        /// which will be displayed if a failure or cancellation is returned by 
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application 
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command. 
        /// A result of Succeeded means that the API external method functioned as expected. 
        /// Cancelled can be used to signify that the user cancelled the external operation 
        /// at some point. Failure should be returned if the application is unable to proceed with 
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(ExternalCommandData commandData, ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            try
            {
                // Check commandData parameter.
                if (null == commandData)
                {
                    return Autodesk.Revit.UI.Result.Failed;
                }

                SlabData revitDatas = null;
                try
                {
                    // The Datas for UI.
                    revitDatas = new SlabData(commandData.Application);
                }
                catch (NullReferenceException e)
                {
                    message = e.Message;
                    return Autodesk.Revit.UI.Result.Cancelled;  // Data error.
                }
                // Display form.
                using (FoundationSlabForm displayForm = new FoundationSlabForm(revitDatas))
                {
                    if (displayForm.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                    {
                        return Autodesk.Revit.UI.Result.Succeeded; // Create foundation slabs successfully.
                    }
                }
                return Autodesk.Revit.UI.Result.Cancelled;  // Cancel creation.
            }
            catch (Exception e)
            {
                message = e.Message;
                return Autodesk.Revit.UI.Result.Failed; // Unknow error.
            }
        }